<?php
/**
 * Grimlock_Gallery_Section_Component Class
 *
 * @author   Themosaurus
 * @since    1.0.0
 * @package  grimlock
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * The class to generate section in page.
 */
class Grimlock_Gallery_Section_Component extends Grimlock_Section_Component {
	/**
	 * Setup class.
	 *
	 * @param array $props
	 * @since 1.0.0
	 */
	public function __construct( $props = array() ) {
		parent::__construct( wp_parse_args( $props, array(

		) ) );
	}

	/**
	 * Retrieve the classes for the component as an array.
	 *
	 * @since 1.0.0
	 *
	 * @param string|array $class One or more classes to add to the class list.
	 * @return array Array of classes.
	 */
	public function get_class( $class = '' ) {
		$classes   = parent::get_class( $class );
		$classes[] = 'grimlock-gallery-section';
		return array_unique( $classes );
	}

	/**
	 * Display the section featured image using `thumbnail` prop.
	 *
	 * @since 1.0.0
	 */
	protected function render_thumbnail() {
		$gallery_props = $this->props['gallery'];
		if ( ! empty( $gallery_props ) ) : ?>
            <div class="section__thumbnail">
                <?php echo gallery_shortcode( $gallery_props ); ?>
            </div><!-- .section__thumbnail -->
			<?php
		endif;
	}
}
