<?php
/**
 * Grimlock_Gallery_Section_Widget Class
 *
 * @author   Themosaurus
 * @since    1.0.0
 * @package  grimlock
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * The class that extends Grimlock_Base_Widget to create a gallery section widget.
 *
 * @see Grimlock_Gallery_Section_Widget
 */
class Grimlock_Gallery_Section_Widget extends Grimlock_Base_Widget {
	/**
	 * Sets up a new Section widget instance.
	 *
	 * @since 1.0.0
	 * @access public
	 */
	public function __construct() {
		parent::__construct( 'grimlock_gallery_section_widget', esc_html__( 'Grimlock Gallery Section', 'grimlock-gallery' ), array(
			'classname'   => 'widget_grimlock_gallery_section',
			'description' => esc_html__( 'A flexible component that showcase key marketing messages on front page with a WP gallery', 'grimlock-gallery' ),
		) );
	}

	/**
	 * Outputs the content for the current widget instance.
	 *
	 * @since 1.0.0
	 * @access public
	 *
	 * @param array $args     Display arguments including 'before_title', 'after_title',
	 *                        'before_widget', and 'after_widget'.
	 * @param array $instance Settings for the current widget instance.
	 */
	public function widget( $args, $instance ) {
		$instance  = wp_parse_args( $instance, $this->defaults );
		echo $args['before_widget'];
		do_action( 'grimlock_gallery_section', apply_filters( "{$this->id_base}_component_args", array(), $instance, $args, $this->id ) );
		echo $args['after_widget'];
	}
}
